FLAGS=-fPIC --shared 
LIBS=-lX11 -lGL
FILES=src/openwindow.c deps/lib/glad.a

libopenwindow.so: glad.a
	gcc ${FLAGS} -o libopenwindow.so ${FILES}

GLAD_FLAGS=-fPIC -c
GLAD_FILES=deps/src/glad.c

glad.a: deps/src/glad.o
	gcc ${GLAD_FLAGS} -o deps/src/glad.o ${GLAD_FILES}
	ar rcs deps/lib/glad.a deps/src/glad.o
